package com.huimv.beeboxs.dahuaVideo.main;

import java.util.HashMap;
import com.alibaba.fastjson.JSONObject;
import com.huimv.beeboxs.dahuaVideo.business.impl.UserManagerImpl;


public class TestMain {

    public static void main(String[] args) {

        // 注：执行main函数前请先将CONST.java文件中的APPID、SECRET以及PHONE填全，不然程序执行将会报错。
        // 获取管理员token
        UserManagerImpl userManager = new UserManagerImpl();
        HashMap<String, Object> paramsMap = new HashMap<String, Object>();
        JSONObject json = userManager.accessToken(paramsMap);

        JSONObject jsonResult = json.getJSONObject("result");
        JSONObject jsonData = jsonResult.getJSONObject("data");
        String token = jsonData.getString("accessToken");

        System.out.println(token);





    }

}
